package utils

import (
	"bufio"
	_ "fmt"
	"io"
	"log"
	"os"
)

func init()  {
	
	
}

func ReadFile(path string) (data []byte, err error) {
	file, err := os.Open(path)
	if err != nil {
		return nil, err
	}
	defer file.Close()

	var rd io.Reader = file
	// var lines []string
	reader := bufio.NewReader(rd)
	
	// for {
	// 	// ReadLine is a low-level line-reading primitive.
	// 	// Most callers should use ReadBytes('\n') or ReadString('\n') instead or use a Scanner.
	// 	bytes, _, err := reader.ReadLine()
	// 	if err == io.EOF {
	// 		break
	// 	}
	// 	if err != nil {
	// 		return lines, err
	// 	}
	// 	lines = append(lines, string(bytes))
	// 	// fmt.Println(string(bytes))
	// }
	// fmt.Println(lines)
	data, err = io.ReadAll(reader)
	

	return data, err
}

func WriteFile(data []byte)  {
	if _, err := io.WriteString(os.Stdout, "Hello World"); err != nil {
		log.Fatal(err)
	}
	os.WriteFile("../resource/schedule.html", data, os.ModePerm)
}